import { Measurement } from '../interfaces/RCPCHMeasurementObject';
import { Domains } from '../interfaces/Domains';
import { IPlottedCentileMeasurement } from '../interfaces/CentilesObject';
declare function getDomainsAndData(childMeasurements: Measurement[], sex: 'male' | 'female', measurementMethod: 'height' | 'weight' | 'bmi' | 'ofc', reference: 'uk-who' | 'trisomy-21' | 'turner' | 'cdc' | 'trisomy-21-aap' | 'who', showCorrected: boolean, showChronological: boolean): {
    bmiSDSData: any[];
    centileData: any[];
    computedDomains: Domains;
    chartScaleType: "prem" | "infant" | "smallChild" | "biggerChild";
};
declare function getVisibleData(sex: 'male' | 'female', measurementMethod: 'height' | 'weight' | 'bmi' | 'ofc', reference: 'uk-who' | 'trisomy-21' | 'turner' | 'cdc' | 'trisomy-21-aap' | 'who', domains: any): {
    chartScaleType: "prem" | "infant" | "smallChild" | "biggerChild";
    centileData: any[];
    sdsData: any[];
};
export declare const delayedPubertyData: {
    male: IPlottedCentileMeasurement[];
    female: IPlottedCentileMeasurement[];
};
export { getVisibleData, getDomainsAndData };
