import { AxisStyle, CentileStyle, SDSStyle, ChartStyle, GridlineStyle, MeasurementStyle, ReferenceStyle } from '../interfaces/StyleObjects';
declare function makeAllStyles(chartStyle?: ChartStyle, axisStyle?: AxisStyle, gridlineStyle?: GridlineStyle, centileStyle?: CentileStyle, sdsStyle?: SDSStyle, measurementStyle?: MeasurementStyle, textMultiplier?: number, // this is used to scale text size based on the aspect ratio of the chart using the height and width. Default is 1
referenceStyle?: ReferenceStyle): {
    chartMisc: {
        background: {
            fill: string;
        };
    };
    toolTipBorderRadius: number;
    toolTipFlyout: {
        stroke: string;
        fill: string;
    };
    toolTipMain: {
        fontSize: number;
        fill: string;
        fontFamily: string;
        fontWeight: string | number;
        fontStyle: "italic" | "normal";
        textAnchor: string;
    };
    chartTitle: {
        fontFamily: string;
        fontWeight: string | number;
        color: string;
        fontSize: number;
        fontStyle: string;
    };
    chartSubTitle: {
        fontFamily: string;
        fontWeight: string | number;
        color: string;
        fontSize: number;
        fontStyle: string;
    };
    termArea: {
        data: {
            fill: string;
            stroke: string;
        };
    };
    xAxis: {
        axis: {
            stroke: string;
            strokeWidth: number;
        };
        axisLabel: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
            fontWeight: string | number;
            fontStyle: "italic" | "normal";
        };
        ticks: {
            stroke: string;
        };
        tickLabels: {
            fontSize: number;
            padding: number;
            fill: string;
            color: string;
            fontFamily: string;
            fontWeight: string | number;
            fontStyle: "italic" | "normal";
        };
        grid: {
            stroke: string;
            strokeWidth: number;
            strokeDasharray: string;
        };
    };
    xTicklabel: {
        fill: string;
        fontSize: number;
        fontFamily: string;
        fontWeight: string | number;
        fontStyle: "italic" | "normal";
    };
    yAxis: {
        axis: {
            stroke: string;
            strokeWidth: number;
        };
        axisLabel: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
            fontWeight: string | number;
            fontStyle: "italic" | "normal";
        };
        ticks: {
            stroke: string;
        };
        tickLabels: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
            fontWeight: string | number;
            fontStyle: "italic" | "normal";
        };
        grid: {
            stroke: string;
            strokeWidth: number;
            strokeDasharray: string;
        };
    };
    delayedPubertyArea: {
        data: {
            stroke: string;
            fill: string;
            strokeWidth: number;
        };
    };
    delayedPubertyThresholdLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    delayedPubertyThresholdLabel: {
        fontSize: number;
        fill: string;
        fontFamily: string;
        fontWeight: string | number;
        textAlign: string;
    };
    nondisjunctionThresholdLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    nondisjunctionThresholdLabel: {
        fontSize: number;
        fill: string;
        fontFamily: string;
        fontWeight: string | number;
        textAlign: string;
    };
    sdsLine: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeDasharray: string;
        };
    };
    dashedCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeDasharray: string;
        };
    };
    continuousCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    centileLabel: {
        fontSize: number;
        fontFamily: string;
        fontWeight: string | number;
        fill: string;
    };
    heightSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    weightSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    ofcSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    bmiSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    midParentalCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeOpacity: number;
        };
    };
    midParentalSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeOpacity: number;
            strokeDasharray: string;
        };
    };
    midParentalArea: {
        data: {
            fill: string;
            opacity: number;
        };
    };
    measurementPoint: {
        data: {
            fill: string;
        };
    };
    measurementLinkLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    highlightedMeasurementFill: {
        data: {
            fill: string;
        };
    };
    eventTextStyle: {
        size: number;
        name: string;
        colour: string;
        style: "italic" | "normal";
    };
    toggleStyle: {
        activeColour: string;
        inactiveColour: string;
        fontFamily: string;
        fontWeight: string | number;
        color: string;
        fontSize: number;
        fontStyle: string;
        margin: number;
        buttonSize: number;
    };
    toggleTooltipStyle: {
        backgroundColor: string;
        color: string;
        fontSize: number;
        fontFamily: string;
        fontWeight: string | number;
        fontStyle: string;
        borderRadius: number;
    };
    referenceTextStyle: {
        fontSize: number;
        fontFamily: string;
        color: string;
        fontWeight: string | number;
        fontStyle: "italic" | "normal";
    };
};
export default makeAllStyles;
