import { AxisStyle, CentileStyle, ChartStyle, GridlineStyle, MeasurementStyle, SDSStyle } from '../../interfaces/StyleObjects';
export declare const monochromeAxisStyles: AxisStyle;
export declare const monochromeChartStyles: ChartStyle;
export declare const monochromeGridlineStyle: GridlineStyle;
export declare const monochromeCentileStyle: CentileStyle;
export declare const monochromeMeasurementStyle: MeasurementStyle;
export declare const monochromeSDSStyle: SDSStyle;
export declare const monochromeStyles: {
    chartMisc: {
        background: {
            fill: string;
        };
    };
    toolTipFlyout: {
        stroke: string;
        fill: string;
    };
    toolTipMain: {
        textAnchor: string;
        strokeWidth: number;
        fontSize: number;
        fill: string;
        fontFamily: string;
        fontWeight: string;
    };
    chartTitle: {
        fontFamily: string;
        color: string;
        fontSize: number;
        fontWeight: string;
        fontStyle: string;
    };
    chartSubTitle: {
        fontFamily: string;
        color: string;
        fontSize: number;
        fontWeight: string;
        fontStyle: string;
    };
    termArea: {
        data: {
            fill: string;
            stroke: string;
        };
    };
    xAxis: {
        axis: {
            stroke: string;
            strokeWidth: number;
        };
        axisLabel: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
        };
        ticks: {
            stroke: string;
        };
        tickLabels: {
            fontSize: number;
            padding: number;
            fill: string;
            color: string;
            fontFamily: string;
        };
        grid: {
            stroke: string;
            strokeWidth: number;
            strokeDasharray: string;
        };
    };
    xTicklabel: {
        fill: string;
        fontSize: number;
        fontFamily: string;
    };
    yAxis: {
        axis: {
            stroke: string;
            strokeWidth: number;
        };
        axisLabel: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
        };
        ticks: {
            stroke: string;
        };
        tickLabels: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
        };
        grid: {
            stroke: string;
            strokeWidth: number;
            strokeDasharray: string;
        };
    };
    delayedPubertyArea: {
        data: {
            stroke: string;
            fill: string;
            strokeWidth: number;
        };
    };
    delayedPubertyThresholdLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    delayedPubertyThresholdLabel: {
        fontSize: number;
        fill: string;
        fontFamily: string;
        textAlign: string;
    };
    sdsLine: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeDasharray: string;
        };
    };
    dashedCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeDasharray: string;
        };
    };
    continuousCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    centileLabel: {
        fill: string;
        fontSize: number;
    };
    heightSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    weightSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    ofcSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    bmiSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    midParentalCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeOpacity: number;
        };
    };
    midParentalSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeOpacity: number;
            strokeDasharray: string;
        };
    };
    midParentalArea: {
        data: {
            fill: string;
            opacity: number;
        };
    };
    measurementPoint: {
        data: {
            fill: string;
        };
    };
    measurementLinkLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    highlightedMeasurementFill: {
        data: {
            fill: string;
        };
    };
    toggleStyle: {
        activeColour: string;
        inactiveColour: string;
        fontFamily: string;
        color: string;
        fontSize: number;
        fontWeight: number;
        fontStyle: string;
        borderRadius: number;
        toggleButtonSize: number;
    };
    toggleTooltipStyle: {
        backgroundColor: string;
        color: string;
        fontSize: number;
        fontFamily: string;
        fontWeight: number;
        fontStyle: number;
        borderRadius: number;
        margin: number;
        enabled: boolean;
    };
    referenceTextStyle: {
        fontSize: number;
        fontFamily: string;
        color: string;
        fontWeight: number;
        fontStyle: string;
    };
};
export declare const chartObject: ChartStyle;
export declare const measurementObjects: MeasurementStyle;
export declare const centilesObject: CentileStyle;
export declare const gridlinesObject: GridlineStyle;
export declare const axesObject: AxisStyle;
export declare const sdsObject: SDSStyle;
