import { AxisStyle, CentileStyle, ChartStyle, GridlineStyle, MeasurementStyle, SDSStyle } from '../../interfaces/StyleObjects';
export declare const Tanner3AxisStyles: AxisStyle;
export declare const Tanner3ChartStyles: ChartStyle;
export declare const Tanner3GridlineStyles: GridlineStyle;
export declare const Tanner3CentileStyles: CentileStyle;
export declare const Tanner3MeasurementStyles: MeasurementStyle;
export declare const Tanner3SDSStyles: SDSStyle;
export declare const Tanner3Styles: {
    chartMisc: {
        background: {
            fill: string;
        };
    };
    toolTipFlyout: {
        stroke: string;
        fill: string;
    };
    toolTipMain: {
        textAnchor: string;
        strokeWidth: number;
        fill: string;
        fontFamily: string;
        fontWeight: string;
    };
    chartTitle: {
        fontFamily: string;
        color: string;
        fontSize: number;
        fontWeight: string;
        fontStyle: string;
    };
    chartSubTitle: {
        fontFamily: string;
        color: string;
        fontSize: number;
        fontWeight: string;
        fontStyle: string;
    };
    termArea: {
        data: {
            fill: string;
            stroke: string;
        };
    };
    xAxis: {
        axis: {
            stroke: string;
            strokeWidth: number;
        };
        axisLabel: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
        };
        ticks: {
            stroke: string;
        };
        tickLabels: {
            fontSize: number;
            padding: number;
            fill: string;
            color: string;
            fontFamily: string;
        };
        grid: {
            stroke: string;
            strokeWidth: number;
            strokeDasharray: string;
        };
    };
    xTicklabel: {
        fill: string;
        fontSize: number;
        fontFamily: string;
    };
    yAxis: {
        axis: {
            stroke: string;
            strokeWidth: number;
        };
        axisLabel: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
        };
        ticks: {
            stroke: string;
        };
        tickLabels: {
            fontSize: number;
            padding: number;
            fill: string;
            fontFamily: string;
        };
        grid: {
            stroke: string;
            strokeWidth: number;
            strokeDasharray: string;
        };
    };
    delayedPubertyArea: {
        data: {
            stroke: string;
            fill: string;
            strokeWidth: number;
        };
    };
    delayedPubertyThresholdLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    delayedPubertyThresholdLabel: {
        fontSize: number;
        fill: string;
        fontFamily: string;
        textAlign: string;
    };
    sdsLine: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeDasharray: string;
        };
    };
    dashedCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeDasharray: string;
        };
    };
    continuousCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    centileLabel: {
        fill: string;
        fontSize: number;
    };
    heightSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    weightSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    ofcSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    bmiSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
        };
    };
    midParentalCentile: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeOpacity: number;
        };
    };
    midParentalSDS: {
        data: {
            stroke: string;
            strokeWidth: number;
            strokeLinecap: string;
            strokeOpacity: number;
            strokeDasharray: string;
        };
    };
    midParentalArea: {
        data: {
            fill: string;
            opacity: number;
        };
    };
    measurementPoint: {
        data: {
            fill: string;
        };
    };
    measurementLinkLine: {
        data: {
            stroke: string;
            strokeWidth: number;
        };
    };
    highlightedMeasurementFill: {
        data: {
            fill: string;
        };
    };
    toggleStyle: {
        activeColour: string;
        inactiveColour: string;
        fontFamily: string;
        color: string;
        fontSize: number;
        fontWeight: string;
        fontStyle: string;
        toggleButtonSize: number;
    };
    eventTextStyle: {
        name: string;
        colour: string;
        size: number;
        style: string;
    };
    toggleTooltipStyle: {
        backgroundColor: string;
        color: string;
        fontSize: number;
        fontFamily: string;
        fontWeight: number;
        fontStyle: string;
        borderRadius: number;
    };
    referenceTextStyle: {
        fontSize: number;
        fontFamily: string;
        color: string;
        fontWeight: number;
        fontStyle: string;
    };
};
